Service::Service(3)

NAME
Win32::Service - manage system services in perl

SYNOPSIS
        use Win32::Service;

DESCRIPTION
This module offers control over the administration of system services.

FUNCTIONS

  NOTE:
All of the functions return false if they fail, unless otherwise noted. If hostName is an empty string, the local machine is assumed.

StartService(hostName, serviceName)
    Start the service serviceName on machine hostName.

StopService(hostName, serviceName)
    Stop the service serviceName on the machine hostName.

GetStatus(hostName, serviceName, status)
    Get the status of a service. The third argument must be a hash reference that will be populated with entries corresponding to the SERVICE_STATUS structure of the Win32 API. See the Win32 Platform SDK documentation for details of this structure.

PauseService(hostName, serviceName)
ResumeService(hostName, serviceName)
GetServices(hostName, hashref)
    Enumerates both active and inactive Win32 services at the specified host. The hashref is populated with the descriptive service names as keys and the short names as the values.